Package org.spongepowered.asm.mixin.injection.callback

## Enum LocalCapture

- java.lang.Object
- - java.lang.Enum<LocalCapture>
  - - org.spongepowered.asm.mixin.injection.callback.LocalCapture

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<LocalCapture>`

    public enum LocalCapture
    extends java.lang.Enum<LocalCapture>

### Enum Constant Summary

Enum Constants
`CAPTURE_FAILHARD` Throws an `Error` during transformation if local capture couldn't occur.
`NO_CAPTURE` The default state of the `LocalCapture` flag: no locals are captured (however, argument capture can still occur).
`PRINT` Aborts transformation (however within the Micromixin implementation, the handler is still copied into the target class) and prints the locals that can be captured at the injection points.

### Method Summary

All Methods Static Methods Concrete Methods
`static LocalCapture` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LocalCapture[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CAPTURE_FAILHARD

    public static final LocalCapture CAPTURE_FAILHARD

Throws an `Error` during transformation if local capture couldn't occur. Otherwise locals are captured as per standard capture behaviour.

#### NO_CAPTURE

    public static final LocalCapture NO_CAPTURE

The default state of the `LocalCapture` flag: no locals are captured (however, argument capture can still occur).

#### PRINT

    public static final LocalCapture PRINT

Aborts transformation (however within the Micromixin implementation, the handler is still copied into the target class) and prints the locals that can be captured at the injection points.

### Method Detail

#### values

    public static LocalCapture[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LocalCapture c : LocalCapture.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LocalCapture valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null